com.corticon.rulesemf.viewrulemodel.rulesheet.decisiontable

## Interface ScopeSection

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface ScopeSection
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Scope Section'.

  The following features are supported:

  - `Root Node`
  See Also:
    `DecisiontablePackage.getScopeSection()`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `copyright`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ScopeNode` | `getRootNode()` Returns the value of the 'Root Node' containment reference
    `void` | `setRootNode(ScopeNode value)` Sets the value of the '`Root Node`' containment reference

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### copyright

          static final java.lang.String copyright

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getRootNode

          ScopeNode getRootNode()

      Returns the value of the 'Root Node' containment reference.

      If the meaning of the 'Root Node' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Root Node' containment reference.
      See Also:
        `setRootNode(ScopeNode)`, `DecisiontablePackage.getScopeSection_RootNode()`

    - #### setRootNode

          void setRootNode(ScopeNode value)

      Sets the value of the '`Root Node`' containment reference.
      Parameters:
        `value` - the new value of the 'Root Node' containment reference.
      See Also:
        `getRootNode()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.